API
API
Back to appIntroductionAuthenticationQuickstartCore conceptsUploading callsGetting resultsWebhooksPagination and searchErrorsRate limits and billing
Delete an action item DELETEGet distinct responsible party values in this project GETList action items with filtering and pagination GETUpdate an action item's status, priority, notes, or text fields PATCH
ReferenceAction items

Update an action item's status, priority, notes, or text fields

PATCH/v1/projects/{projectId}/action-items/{actionItemId}

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid
actionItemId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

*/*

curl -X PATCH "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/action-items/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "clearNotes": true,    "clearDeadline": true  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",  "transcriptId": "8d42585a-2e55-4415-90e7-5325c62875f6",  "transcriptIndex": 0,  "callDate": "2019-08-24T14:15:22Z",  "callFilename": "string",  "description": "string",  "responsibleParty": "string",  "deadlineMentioned": "string",  "evidence": "string",  "status": "PENDING",  "priority": "LOW",  "notes": "string",  "completedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "isOverdue": true}

List action items with filtering and pagination GET

Previous Page

Activate an analysis template POST

Next Page

status?string

Value in

  • "PENDING"
  • "IN_PROGRESS"
  • "DONE"
  • "CANCELLED"
priority?string

Value in

  • "LOW"
  • "MEDIUM"
  • "HIGH"
notes?string
clearNotes*boolean
description?string
responsibleParty?string
deadlineMentioned?string
clearDeadline*boolean